summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStef Walter <stefw@gnome.org>2012-05-09 21:15:50 +0200
committerStef Walter <stefw@gnome.org>2012-05-09 21:30:21 +0200
commit64b1f6b692f9a69433c7458f8bc09bcae80c8821 (patch)
tree90d959baaaab35ff5f82cf2f363843676ca984cc /autogen.sh
Initial commit
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..696f490
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,32 @@
+#!/bin/sh -e
+
+set -e
+
+# Some boiler plate to get git setup as expected
+if test -d .git; then
+ if test -f .git/hooks/pre-commit.sample && \
+ test ! -f .git/hooks/pre-commit; then
+ cp -pv .git/hooks/pre-commit.sample .git/hooks/pre-commit
+ fi
+fi
+
+set -x
+
+gettextize=$(which gettextize || true)
+if test -z "$gettextize"; then
+ echo "Couldn't find gettextize" >&2
+ exit 1
+fi
+
+# Copied from avahi's autogen.sh to work around gettext braindamage
+rm -f Makefile.am~ configure.ac~
+# Evil, evil, evil, evil hack
+sed 's/read dummy/\#/' $gettextize | sh -s -- --copy --force --no-changelog
+test -f Makefile.am~ && mv Makefile.am~ Makefile.am
+test -f configure.ac~ && mv configure.ac~ configure.ac
+
+autoreconf --force --install --verbose
+if test x"$NOCONFIGURE" = x; then
+ exec ./configure "$@"
+fi
+